1
Vote

Can't Import on WinPE 5.1 PS 4.0

description

Hello I've made a CD WinPE 5.1 with Powershell 4.0.

I'm trying to start a powershell apps with sqlite db. I can't import the dll
The Apps run perfectly in Win7 environement

Somebody have try sqlite under WinPE 5.1 ?

PS C:\INSTALLER> $PSVersionTable

Name Value

PSVersion 4.0
WSManStackVersion 3.0
SerializationVersion 1.1.0.1
CLRVersion 4.0.30319.33440
BuildVersion 6.3.9600.16384
PSCompatibleVersions {1.0, 2.0, 3.0, 4.0}
PSRemotingProtocolVersion 2.2

ipmo : Could not load file or assembly 'System.Data.SQLite.dll' or one of its
dependencies. The application has failed to start because its side-by-side
configuration is incorrect. Please see the application event log or use the
command-line sxstrace.exe tool for more detail. (Exception from HRESULT:
0x800736B1)
At C:\INSTALLER\SQLite\start-sqlite.psm1:88 char:41
  • ls C:\installer\sqlite\bin\x32*.dll | ipmo;
  • ~~~~
    • CategoryInfo : NotSpecified: (:) [Import-Module], FileLoadExcep
      tion
    • FullyQualifiedErrorId : System.IO.FileLoadException,Microsoft.PowerShell
      .Commands.ImportModuleCommand
New-PSDrive : Could not load file or assembly 'System.Data.SQLite.dll' or one
of its dependencies. The application has failed to start because its
side-by-side configuration is incorrect. Please see the application event log
or use the command-line sxstrace.exe tool for more detail. (Exception from
HRESULT: 0x800736B1)

comments